# Method MasterObject()->getenv()

Method getenv

  ``mapping`(`string`:`string`) getenv(`void`|`int` `force_update`)`

Description

  Queries the environment variables.

Parameter `force_update`

  A cached copy of the real environment is kept to make this function quicker. If the optional flag force_update is nonzero then the real environment is queried and the cache is updated from it. That can be necessary if the environment changes through other means than putenv, typically from a C-level library.

Returns

  Returns the whole environment as a mapping. Destructive operations on the mapping will not affect the internal environment representation.

  Variable names and values cannot be wide strings nor contain `'\0'` characters. Variable names also cannot contain `'='` characters.

Note

  On NT the environment variable name is case insensitive.

See also

  putenv()

Method getenv

  ``string` getenv(`string` `varname`, `void`|`int` `force_update`)`

Description

  Query the value of a specific environment variable.

Parameter `varname`

  Environment variable to query.

Parameter `force_update`

  A cached copy of the real environment is kept to make this function quicker. If the optional flag force_update is nonzero then the real environment is queried and the cache is updated from it. That can be necessary if the environment changes through other means than putenv, typically from a C-level library.

Returns

  Returns the value of the environment variable varname if it exists, and `0` (zero) otherwise.

  Variable names and values cannot be wide strings nor contain `'\0'` characters. Variable names also cannot contain `'='` characters.

Note

  On NT the environment variable name is case insensitive.

See also

  putenv()